Package io.dapr.workflows

# Interface Workflow

public interface Workflow
Common interface for workflow implementations.

## Method Summary

Modifier and Type
Method
Description
`WorkflowStub`
`create()`
Executes the workflow logic.
`default void`
`run(WorkflowContext ctx)`
Executes the workflow logic.

## Method Details

### create

WorkflowStub create()
Executes the workflow logic.

Returns:
  A WorkflowStub.

### run

default void run(WorkflowContext ctx)
Executes the workflow logic.

Parameters:
  `ctx` - provides access to methods for scheduling durable tasks and getting information about the current workflow instance.